
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于pgrouting的任意两点间的最短路径查询函数 / iVAN</title>

    <meta name="description" content="基于pgrouting的任意两点间的最短路径查询函数     前面文章介绍了如何利用postgresql创建空间数据库,建立空间索引和进行路径规划.但是在真实的场景中用户进行路径规划的时候都是基于经纬度数据进行路径规划的,因为用户根本不会知道道路上节点的ID.因此文本讲述如何查询任意两点间的最短路径.     一.定义函数名及函数参数         函数名定义为: pgr_fromAtoB         参数设置分别为:                  输入为数据库表名,起点和终点的经纬度坐标                  输出为:路段序">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于pgrouting的任意两点间的最短路径查询函数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    前面文章介绍了如何利用postgresql创建空间数据库，建立空间索引和进行路径规划。但是在真实的场景中用户进行路径规划的时候都是基于经纬度数据进行路径规划的，因为用户根本不会知道道路上节点的ID。因此文本讲述如何查询任意两点间的最短路径。</p>
<p>    一、定义函数名及函数参数</p>
<p>        函数名定义为： pgr_fromAtoB</p>
<p>        参数设置分别为：</p>
<p>                 输入为数据库表名，起点和终点的经纬度坐标</p>
<p>                 输出为：路段序号，gid号，道路名，消耗及道路集合体。</p>
<p>                IN tbl varchar, --数据库表名<br />
                IN x1 double precision, --起点x坐标<br />
                IN y1 double precision, --起点y坐标<br />
                IN x2 double precision, --终点x坐标<br />
                IN y2 double precision, --终点y坐标<br />
                OUT seq integer, --<br />
                OUT gid integer,<br />
                OUT name text,<br />
                OUT heading double precision,<br />
                OUT cost double precision,<br />
                OUT geom geometry</p>
<p>    二、计算距离起点和终点距离最近的道路节点，</p>
<p>                 可以使用的函数为</p>
<p>             SELECT id::integer FROM minidata_vertices_pgr<br />
<br />
            ORDER BY the_geom &lt;-&gt; ST_GeometryFromText(''POINT(' <br />
            || x1 || ' ' || y1 || ')'',900913) LIMIT 1</p>
<p>    三、然后根据检索到的节点再调用pgrouting的最短路径查询函数进行计算。</p>
<p>            可以使用的函数为：</p>
<p>             SELECT gid, geom, name, cost, source, target,<br />
<br />
                ST_Reverse(geom) AS flip_geom FROM ' ||<br />
                        'pgr_bdAstar(''SELECT gid as id, source::int, target::int, '<br />
                                        || 'length::float AS cost,x1,y1,x2,y2 FROM '<br />
                                        || quote_ident(tbl) || ''', '<br />
                                        || source || ', ' || target <br />
                                        || ' ,false, false), '<br />
                                || quote_ident(tbl) || ' WHERE id2 = gid ORDER BY seq</p>
<p>    四、整合上面几个子过程，得到的最终查询sql函数如下：</p>
<pre>--
--DROP FUNCTION pgr_fromAtoB(varchar, double precision, double precision,
--                           double precision, double precision);

CREATE OR REPLACE FUNCTION pgr_fromAtoB(
                IN tbl varchar,
                IN x1 double precision,
                IN y1 double precision,
                IN x2 double precision,
                IN y2 double precision,
                OUT seq integer,
                OUT gid integer,
                OUT name text,
                OUT heading double precision,
                OUT cost double precision,
                OUT geom geometry
        )
        RETURNS SETOF record AS
$BODY$
DECLARE
        sql     text;
        rec     record;
        source	integer;
        target	integer;
        point	integer;

BEGIN
	-- 查询距离出发点最近的道路节点
	EXECUTE 'SELECT id::integer FROM minidata_vertices_pgr
			ORDER BY the_geom &lt;-&gt; ST_GeometryFromText(''POINT('
			|| x1 || ' ' || y1 || ')'',900913) LIMIT 1' INTO rec;
	source := rec.id;

	-- 查询距离目的地最近的道路节点
	EXECUTE 'SELECT id::integer FROM minidata_vertices_pgr
			ORDER BY the_geom &lt;-&gt; ST_GeometryFromText(''POINT('
			|| x2 || ' ' || y2 || ')'',900913) LIMIT 1' INTO rec;
	target := rec.id;

	-- 最短路径查询
        seq := 0;
        sql := 'SELECT gid, geom, name, cost, source, target,
				ST_Reverse(geom) AS flip_geom FROM ' ||
                        'pgr_bdAstar(''SELECT gid as id, source::int, target::int, '
                                        || 'length::float AS cost,x1,y1,x2,y2 FROM '
                                        || quote_ident(tbl) || ''', '
                                        || source || ', ' || target
                                        || ' ,false, false), '
                                || quote_ident(tbl) || ' WHERE id2 = gid ORDER BY seq';

	-- Remember start point
        point := source;

        FOR rec IN EXECUTE sql
        LOOP
		-- Flip geometry (if required)
		IF ( point != rec.source ) THEN
			rec.geom := rec.flip_geom;
			point := rec.source;
		ELSE
			point := rec.target;
		END IF;

		-- Calculate heading (simplified)
		EXECUTE 'SELECT degrees( ST_Azimuth(
				ST_StartPoint(''' || rec.geom::text || '''),
				ST_EndPoint(''' || rec.geom::text || ''') ) )'
			INTO heading;

		-- Return record
                seq     := seq + 1;
                gid     := rec.gid;
                name    := rec.name;
                cost    := rec.cost;
                geom    := rec.geom;
                RETURN NEXT;
        END LOOP;
        RETURN;
END;
$BODY$
LANGUAGE 'plpgsql' VOLATILE STRICT;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 19:08:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于pgrouting的任意两点间的最短路径查询函数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8jV4b.html" rel="bookmark">基于pgrouting的任意两点间的最短路径查询函数二</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    在前面的博文中写过一篇查询任意两点间最短路径的函数,当时对pgrouting不熟悉,功能很low.现在对该函数进行扩展,支持用户自己输入查询的数据库表,这一点看似简单,其实意义很大,在做室内导航的时候当用户所在的楼层变化的时候最短路径函数查询的数据表名称也会发生变化,不可能一栋大楼里的道路都是一样的吧,另外进行跨楼层的最短路径规划时,需要查询从A到楼梯口的最短路径和楼梯口到B的最短路径,这些都需要进行最短路径规划的时候能够自己选择数据表.     先解释一下最短路径规划的处理步骤,首先要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA70db.html" rel="bookmark">Openlayers3 计算地图上任意两点间的距离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对应的openlayers的版本为3.7. 主要用的接口是ol.Sphere.haversineDistance([x1,y1],[x2,y2]): 4326坐标系中计算两点距离的方式为: var wgs84Sphere = new ol.Sphere(6378137); wgs84Sphere.haversineDistance(C1,C2); 示例为: var wgs84Sphere = new ol.Sphere(6378137); wgs84Sphere.haversineDistanc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwnw4M.html" rel="bookmark">最短路径条数-spark graphx框架下怎样求两点间最短路径的条数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spark graphx框架下怎样求两点间最短路径的条数 我使用spark的graphx图计算框架,现在要求一个图中所有节点对的最短路径条数, graphx下的pregel迭代貌似使用的是类迪杰斯特拉算法,要求最短路径长度很容易, 但是要求条数,我实在是想不出来怎么求,希望各位大神解答,最好能有源码,实在 没有,有思路也可以,万分感谢!!!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmrDRp.html" rel="bookmark">PHP根据两点间的经纬度计算距离&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个不错的示例,直接贴代码,首先要知道纬度值.经度值 /** * @desc 根据两点间的经纬度计算距离 * @param float $lat 纬度值 * @param float $lng 经度值 */ function getDistance($lat1, $lng1, $lat2, $lng2) { $earthRadius = 6367000; //approximate radius of earth in meters /* Convert these degrees to r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRdZrGz.html" rel="bookmark">flex中Away3D计算两点间的距离、两点间的中点例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Away3D开发中,有时需要计算两个点(Vector3D )之间的距离或者中点.假设有如下v1.v2两个坐标点. 1,两点间的距离(线段长度) var v1:Vector3D = new Vector3D(0,0,0); var v2:Vector3D = new Vector3D(200,200,200); var lenght:Number =  v1.subtract(v2).length;  //346.41016151377545 2,两点间的中点(线段中点) var v1:Vect			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQadNKb.html" rel="bookmark">请牛人指点，如何以最优的算法，对两点间的距离进行排序。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 业务要求:根据APP当前位置,取得距离最近的10条记录,再次刷新时,取得后10条最近的数据...我考虑的思路:■思路1:查询出数据库中所有的数据,根据两点的经度和纬度计算得到距离.再按照距离排序.缺点是,如果数据库有100万条数据,每次取出来,效率会很慢.■思路2:SQL查询语句中,取得两点间,经度和纬度差值的绝对值,以从小到大排序,取得前10条即可.这样查出来的数据量就比较小了.正确的思路到底是什么呢,不知道别人的APP距离排序怎么个算法.★Java算法是什么呢??★APP客户端传递			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvq0Lrb.html" rel="bookmark">栅格数据求两点间最小距离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ArcGIS使用的是栅格数据,请问他们是如何在栅格数据上计算两个点间的最小费用距离.现在的成熟算法有哪些?求连接啊. 解决方案 解决方案二: 解决方案三:不是要球面的,主要还是搜索算法解决方案四:两个点间的最小费用距离?最小费用距离是最短距离吗?解决方案五:可以理解做是吧解决方案六:两点间的线段长度就是你要的结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4R1nrM.html" rel="bookmark">HDOJ 2001 计算两点间的距离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Problem Description 输入两点坐标(X1,Y1),(X2,Y2),计算并输出两点间的距离. Input 输入数据有多组,每组占一行,由4个实数组成,分别表示x1,y1,x2,y2,数据之间用空格隔开. Output 对于每组输入数据,输出一行,结果保留两位小数. Sample Input 0 0 0 1 0 1 1 0 Sample Output 1.00 1.41 import java.util.*; class Main{ public static void main(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkGqLyp.html" rel="bookmark">8万多个结点的图，进行单源最短路径查询，如何使运行的时间减少</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 8万多个路网结点组成的图,进行单源最短路径查询,使用Dijkstra算法的话,运行的时间差不多是1min,换了A*算法后,发现对两个离得近的点查询时,速度很快,但离得比较远的时候,运行的时间超过30min,这是什么原因呢?不是应该A*算法效率比Dijkstra算法要高么..求解 解决方案			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm47DM.html" rel="bookmark" class="title">VML健盘控制</a>
					<div>
						控制 VML健盘控制&lt;HTML xmlns:v&gt;&lt;HEAD&gt;&lt;META http-equiv=Content-Type content=text/html;charset ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7ZE2b.html" rel="bookmark" class="title">Oracle角色及权限详解</a>
					<div>
						一.Oracle内置角色connect与resource的权限 grant connect,resource to user; CONNECT角色: --是授予最终用户的典型权利,最基本的 ALTER ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2LoVp.html" rel="bookmark" class="title">数据结构的C&plus;&plus;实现之栈的链式存储结构</a>
					<div>
						当单链表限定只能在头部进行插入和删除操作的时候,即为链栈,一般我们会将单链表的头指针和栈的栈顶指针top合二 为一,通常对链栈来说,是不需要头节点的,因为我们维护了栈顶指针.对于链栈来说,基本不存在栈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7nj2b.html" rel="bookmark" class="title">Flash教你制作扫光字动画效果</a>
					<div>
						本系列Flash教程由中国教程网Flash互助课堂专为Flash新手制作 效果演示: 现在开始制作: 1.首先,需要用文本工具输入一个文本,然后用,Ctrl+B将文本打散,将每个文字转换成影片剪辑.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2qVkb.html" rel="bookmark" class="title">节省纸张 密集打印PPT文档小技巧</a>
					<div>
						年底很多单位里都要上交各种计划和总结,其中有些是PPT格式,于是不可避免要打印PPT文档.如果用打印机默认的一纸打印多张PPT幻灯片功能,幻灯片与幻灯片之间的空隙较大,所以只能打印4张幻灯片.能不能减 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1RPez.html" rel="bookmark" class="title">搜狗输入法2015按ctrl&plus;space无法在中文与英文之间切换</a>
					<div>
						  搜狗输入法2015按ctrl+space无法在中文与英文之间无法切换的原因: 终于发现小编按ctrl+space无法在中文与英文之间切换的原因:小编电脑上的输入法只有搜狗拼音输入法一种,没有英文输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w8OLp.html" rel="bookmark" class="title">win7玩游戏屏幕总是上下黑边影响效果解决方法</a>
					<div>
						  win7玩游戏屏幕总是上下黑边影响效果解决方法 1.win7系统点击开始按钮输入运行; 2.点击运行输入regedit; 3.点HKEY_LOCAL_MACHINE&gt;&gt;&gt;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7xAAM.html" rel="bookmark" class="title">Windows 8&period;1会&OpenCurlyDoubleQuote;说&rdquo;7000多种话</a>
					<div>
						  Windows系统这几代对多国语言的支持越来越丰富,官方最新说法是,Windows 8.1已经可以支持7000多种世界各地的不同语言.基本上,只要你说的是&quot;人话&quot;,Window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGLK7p.html" rel="bookmark" class="title">Win7控制面板打不开怎么办呢&quest;</a>
					<div>
						  今天收到某位网友的留言:我的win7电脑,不知道为什么打不开控制面板,请问电脑控制面板打不开怎么办呢? 小编分析:电脑中的控制面板一般是很少出现打不开的情况,万一遇到,请首先进行电脑全盘杀毒!如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmVB5z.html" rel="bookmark" class="title">docker web 管理套件 dockerui</a>
					<div>
						用docker一段时间之后发现并不是很好管理,尤其是映射多个端口,密密麻麻的的,会觉得很乱,今天给大家介绍一款docker web管理套件-dockerui 优点 支持container批量操作 支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eXEAb.html" rel="bookmark" class="title">Android数据加密之SHA安全散列算法&lowbar;Android</a>
					<div>
						前言: 对于SHA安全散列算法,以前没怎么使用过,仅仅是停留在听说过的阶段,今天在看图片缓存框架Glide源码时发现其缓存的Key采用的不是MD5加密算法,而是SHA-256加密算法,这才勾起了我的好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn70jkz.html" rel="bookmark" class="title">黑客离我们有多近&quest;</a>
					<div>
						你可能会在这里中招: ·ATM机刷卡时注意卡槽是否安装了读卡器,小心键盘异样和简陋的摄像头. ·对于弹出的支付窗口要留神,若让你输入账户等敏感信息,小心它是钓鱼网页. ·避免木马.病毒最有效的方法是避 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQKnEp.html" rel="bookmark" class="title">servlet ajax-怎么用servlet获取oracle数据库信息后传递到jquery的ajax上进行验证</a>
					<div>
						问题描述 怎么用servlet获取oracle数据库信息后传递到jquery的ajax上进行验证 package com.ibm.ajax.app1.entity; public class WebU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P9g3p.html" rel="bookmark" class="title">智慧城市建设掀起热潮 潜在市场规模高达20万亿</a>
					<div>
						据悉,全国所有副省级以上城市.九成地级及以上城市.近一半县级及以上城市在推进智慧城市建设.随着智慧城市建设规划落地,预计未来5年,市场规模复合增长率将超过30%,到2021年有望达到20万亿,前景一片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Peoz.html" rel="bookmark" class="title">javascript自动改变文字大小和颜色的效果的小例子&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;body  bgcolor=&quot;#000000&quot;&gt;  &lt;div id=&quot;text&quot;  style=&quot;font- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YN2KM.html" rel="bookmark" class="title">《CCNP安全Secure 642-637认证考试指南》&mdash;&mdash;8&period;3节路由式数据面安全技术</a>
					<div>
						8.3 路由式数据面安全技术 CCNP安全Secure 642-637认证考试指南 接下来,我们将讨论各种安全技术的原理及其实施方法. 8.3.1 访问控制列表 访问控制列表(Access Contr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEZqnM.html" rel="bookmark" class="title">c&num;读取&period;gz中的文本内容出现OutOfMemory错误，求解。</a>
					<div>
						问题描述 需求是这样,目录下有超过5000个*.gz这样的文件,.gz中是网站访问日志,如:access.log,单个.gz文件大概10M,解压出来大概是300M,如果每个.gz都解压成文件的话硬盘空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlm5Ap.html" rel="bookmark" class="title">上海汉得信息技术股份有限公司怎么样？</a>
					<div>
						问题描述 小弟我11年毕业,最近收到上海汉得信息技术股份有限公司的offer,职位是ERP技术顾问,不知道公司如何,前景如何?望各位指点 解决方案 据说公司不错,我一同学今天毕业去了那里,职位跟你一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlJZAp.html" rel="bookmark" class="title">Hadoop和元数据</a>
					<div>
						在组织如何处理数据方面,Apache Hadoop展开了一场史无前例的革命--通过自由可扩展的Hadoop,可以在比以往更短的时间内,通过新应用创造新价值,并从大数据中提取想要的数 据.这次革命企图使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r7gmz.html" rel="bookmark" class="title">大数据时代的新型数据库 &mdash; 图数据库 Neo4j 的应用</a>
					<div>
						概览 微云数聚(北京)科技有限公司是一家实力雄厚的大数据技术公司,由移动互联网技术专家团队.大数据专业团队和建模博士团队组成.微云数聚专注于研究图数据库技术及其应用,是世界领先的图数据库Neo4j在中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Z2Nz.html" rel="bookmark" class="title">怎样做个简单的小网站</a>
					<div>
						请注意:拥有域名不代表你就有了网站. 做之前要想一下,网站用来干什么?静态的还是动态的,自己至少要懂一点代码知识,不懂程序的话,也要对html多少了解一些.不然,我建议你还是到各大网站申请个Blog写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK4GJp.html" rel="bookmark" class="title">非计算机专业的人如何进入软件测试领域</a>
					<div>
						在给学员做入学评估的时候,经常会遇到很多人对职业规划是相对迷茫的.不知道如何选择&quot;适合&quot;自己的职业.凡事预则立,不预则废.人在职场&quot;混&quot;,怎么能不职业规划!那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqqRWb.html" rel="bookmark" class="title">android&colon;layout&lowbar;gravity 和 android&colon;gravity 的区别</a>
					<div>
						原文:http://www.cnblogs.com/ghj1976/archive/2011/04/26/2029535.html gravity 这个英文单词是重心的意思,在这里就表示停靠位置的意思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodJevM.html" rel="bookmark" class="title">八百客浅析&colon;移动CRM的趋势导航有哪些？</a>
					<div>
						当前,随着云计算以及移动互联网的快速发展,再加上智能手机.平板电脑等移动终端设备的普及,企业级移动信息化的大潮风起云涌,移动办公软件应用愈发受到人们的追捧.一些移动办公应用的软件开发厂商,正在通过技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRDErp.html" rel="bookmark" class="title">高德地图四月新增数千条重要道路 数据能力持续领先</a>
					<div>
						手机地图作为人们日常出行和生活中越来越重要的应用,其道路基础数据更新速度的重要性自然不必多言.作为国内最专业的互联网地图厂商,高德地图为了给用户提供最为准确.实时的交通数据,一直以来都以最快速.密集的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xrKRb.html" rel="bookmark" class="title">波士顿爆炸案：移动网络关闭防止遥控炸弹</a>
					<div>
						4月16日消息,据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,4月15日 下午三点,美国波士顿马拉松发生连环爆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq79Kkz.html" rel="bookmark" class="title">突破Informix固态磁盘I&sol;O瓶颈</a>
					<div>
						至今为止,我在固态硬盘 (SSD) 上成功运行主 Informix 开发数据库服务器的时间已经超过一年.我的开发服务器配备 12 枚 CPU 内核.24 GB 的 RAM.5 TB 磁盘空间和一块 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Z6mp.html" rel="bookmark" class="title">Ubuntu16&period;04 LTS 下安装 Android Studio 2&period;2&period;2 的详细步骤&lowbar;Android</a>
					<div>
						下载 Android SDK,官网:www.android.com 我相信很多人跟我一样,进不去.Android Studio 中文官网 www.android-studio.org 进去下载, 在终 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5RVWz.html" rel="bookmark" class="title">邮箱及IE安全技巧全精通&lowbar;网络冲浪</a>
					<div>
						&quot;假痴不癫&quot;意为凡有作为的人,一般都腹有良谋,筹划于暗中,不露声色而后发制人.在E-mail的安全防范中,我们同样可以使用&quot;假痴不癫&quot;之计谋,从系统.杀毒.防黑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkqNKz.html" rel="bookmark" class="title">使用Promise解决多层异步调用的简单学习心得&lowbar;javascript技巧</a>
					<div>
						前言 第一次接触到Promise这个东西,是2012年微软发布Windows8操作系统后抱着作死好奇的心态研究用html5写Metro应用的时候.当时配合html5提供的WinJS库里面的异步接口全都 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
